Integer Overflow or Wraparound

Affecting python2.7 package, versions <2.7.13-2+deb9u2

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

CPython (aka Python) up to 2.7.13 is vulnerable to an integer overflow in the PyString_DecodeEscape function in stringobject.c, resulting in heap-based buffer overflow (and possible arbitrary code execution)

References

CVSS Score

9.8
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
CVE
CVE-2017-1000158
CWE
CWE-190
Snyk ID
SNYK-DEBIAN9-PYTHON27-306461
Disclosed
17 Nov, 2017
Published
17 Nov, 2017